{
  "name": "frontend",
  "version": "1.0.0",
  "description": "skillbox vue client",
  "author": "ramon / chrigu",
  "prettier": {
    "singleQuote": true,
    "singleAttributePerLine": true
  },
  "private": true,
  "scripts": {
    "start": ". ../server/.env && npm run dev",
    "lint": "./eslint-checker.sh",
    "fix-lint": "eslint --ext .js,.vue,.ts --fix src",
    "build": "vite build",
    "dev": "vite",
    "open:cypress:e2e": "npm run cypress:e2e:open",
    "open:cypress:frontend": "npm run cypress:frontend:open",
    "test:cypress:e2e": "npm run cypress:e2e:test",
    "test:cypress:frontend": "npm run cypress:frontend:test",
    "test:cypress:component": "npm run cypress:component:test",
    "cypress:e2e:open": "cypress open --config-file cypress.e2e.ts",
    "cypress:frontend:open": "cypress open --config-file cypress.frontend.ts",
    "cypress:e2e:test": "cypress run --config-file cypress.e2e.ts",
    "cypress:frontend:test": "cypress run --config-file cypress.frontend.ts",
    "cypress:component:test": "cypress run --config-file cypress.frontend.ts --component",
    "install:cypress": "cypress install",
    "test:unit": "jest",
    "cypress:parallel": "CYPRESS_API_URL=\"https://iterativ-cypress-director.herokuapp.com/\" cy2 run --parallel --record --key somekey --config-file cypress.frontend.json --ci-build-id some-id",
    "cypress:parallel:run": "cy2 run --parallel --record  --config-file cypress.frontend.json --ci-build-id ",
    "currents": "cypress-cloud run --parallel --record --config-file cypress.frontend.ts",
    "prettier": "prettier . --write",
    "prettier:check": "prettier . --check",
    "codegen": "graphql-codegen",
    "codegen-watch": "graphql-codegen -w"
  },
  "dependencies": {
    "@apollo/client": "^3.5.10",
    "@babel/core": "^7.16.7",
    "@babel/eslint-plugin": "^7.16.5",
    "@babel/plugin-transform-runtime": "^7.5.0",
    "@babel/preset-env": "^7.5.4",
    "@babel/preset-stage-2": "^7.0.0",
    "@babel/preset-typescript": "^7.16.7",
    "@babel/runtime": "^7.5.4",
    "@graphql-codegen/cli": "^5.0.2",
    "@graphql-codegen/client-preset": "^4.1.0",
    "@graphql-tools/jest-transform": "^1.2.2",
    "@graphql-tools/mock": "^8.6.5",
    "@graphql-tools/schema": "^8.3.7",
    "@rollup/plugin-graphql": "^1.1.0",
    "@sentry/vite-plugin": "^2.5.0",
    "@sentry/vue": "^7.60.1",
    "@tiptap/core": "^2.1.11",
    "@tiptap/extension-bullet-list": "^2.1.11",
    "@tiptap/extension-document": "^2.1.11",
    "@tiptap/extension-list-item": "^2.1.11",
    "@tiptap/extension-paragraph": "^2.1.11",
    "@tiptap/extension-text": "^2.1.11",
    "@tiptap/vue-3": "^2.1.11",
    "@types/mark.js": "^8.11.12",
    "@types/mocha": "^10.0.6",
    "@types/rangy": "^0.0.38",
    "@typescript-eslint/eslint-plugin": "^5.10.0",
    "@typescript-eslint/parser": "^5.10.0",
    "@vitejs/plugin-vue": "^3.0.3",
    "@vue/apollo-composable": "^4.0.0-beta.1",
    "@vue/apollo-option": "^4.0.0-alpha.16",
    "@vue/compiler-sfc": "3.2.30",
    "@vue/test-utils": "^2.2.0",
    "@vue/vue3-jest": "^29.1.1",
    "autoprefixer": "^10.4.12",
    "babel-core": "^7.0.0-bridge.0",
    "babel-jest": "^29.2.2",
    "chalk": "^2.0.1",
    "core-js": "^3.26.0",
    "cy2": "^1.2.1",
    "cypress": "12.17.3",
    "cypress-cloud": "^1.7.3",
    "dayjs": "^1.10.7",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.6.0",
    "eslint-formatter-friendly": "^7.0.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-vue": "^9.6.0",
    "graphql": "^16.3.0",
    "graphql-config": "^5.0.3",
    "graphql-tag": "^2.10.1",
    "graphql-tools": "^8.2.5",
    "jest": "^29.2.2",
    "jest-environment-jsdom": "^29.2.2",
    "jest-serializer-vue": "^2.0.2",
    "jest-transform-graphql": "^2.1.0",
    "jest-transform-stub": "^2.0.0",
    "jest-watch-typeahead": "^2.1.2",
    "lodash": "^4.17.10",
    "loglevel": "^1.8.0",
    "mark.js": "^8.11.1",
    "mini-css-extract-plugin": "^2.4.5",
    "mock-apollo-client": "^1.2.0",
    "ora": "^1.2.0",
    "portfinder": "^1.0.13",
    "postcss-import": "^15.0.0",
    "postcss-mixins": "^9.0.4",
    "postcss-nested": "^6.0.1",
    "postcss-reuse": "^2.2.0",
    "postcss-url": "^10.1.3",
    "prettier": "2.8.2",
    "rangy": "^1.3.1",
    "rimraf": "^2.6.0",
    "sass": "^1.56.1",
    "semver": "^5.3.0",
    "shelljs": "^0.8.5",
    "survey-knockout": "^1.9.41",
    "typescript": "^4.6.4",
    "uploadcare-widget": "^3.6.0",
    "vee-validate": "^4.5.10",
    "vite": "^3.1.0",
    "vue": "3.2.30",
    "vue-matomo": "^4.2.0",
    "vue-router": "^4.0.14",
    "vue-scrollto": "^2.20.0",
    "vue-tsc": "^0.40.4",
    "vue-vimeo-player": "^1.1.2",
    "vuex": "4.0.1"
  },
  "engines": {
    "node": ">= 20.x",
    "npm": ">= 8.x"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
